<?php
	// required headers
	header("Access-Control-Allow-Origin: *");
	header("Content-Type: application/json; charset=UTF-8");
	header("Access-Control-Allow-Methods: POST");
	 
	// include database and object files
	include_once '../config/database.php';
	include_once '../objects/duty_schedule.php';
	 
	// instantiate database
	$database = new Database();
	$db = $database->getConnection();
	 
	// initialize object
	$duty_schedule = new DutySchedule($db);
	$data = json_decode(file_get_contents("php://input"));
	$duty_schedule->year_month = $data->year . '-'. $data->month;
	$duty_schedule->staff_id = $data->staff_id;
	$stmt = $duty_schedule->getAllRows();
	$num = $stmt->rowCount();

	$arr=array();
	$arr["records"]=array();
	if($num>0){
		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$detail=array(
				// "id" => (int)$id,
				"date" => $date,
				"duty_in" => $duty_in,
				"duty_out" => $duty_out,
				"off_day" => $off_day,
			);
			array_push($arr["records"], $detail);
		}
	}
	echo json_encode($arr);
?>